> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search



## OpenAPI

````yaml get /search
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /search:
    get:
      tags:
        - Search
      operationId: SearchController_findAll
      parameters:
        - name: q
          required: true
          in: query
          schema:
            type: string
        - name: types
          required: false
          in: query
          description: 'Possible values: trade, activity, user, token'
          schema:
            type: array
            items:
              type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SearchEntity'
components:
  schemas:
    SearchEntity:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        label:
          type: string
      required:
        - id
        - type
        - label

````